###--- >>> `OME' <<<----- Tests of Auditory Perception in Children with OME

	## alias	 help(OME)

##___ Examples ___:

### Not usable in R
##Don't run: 
##D # Fit logistic curve from p=0.5 to p=1.0
##D fp1 <- deriv(~ 0.5 + 0.5/(1 + exp(-(x-ld75)/scal)),
##D              c("ld75", "scal"),
##D              function(x,ld75,scal)NULL)
##D nls(Correct/Trials ~ fp1(Loud, ld75, scal), data=OME,
##D     start=c(ld75=45, scal=3))
##D nls(Correct/Trials ~ fp1(Loud, ld75, scal),
##D     data=OME[OME$Noise=="coherent",],
##D     start=c(ld75=45, scal=3))
##D nls(Correct/Trials ~ fp1(Loud, ld75, scal),
##D     data=OME[OME$Noise=="incoherent",],
##D     start=c(ld75=45, scal=3))
##D 
##D # individual fits for each experiment
##D 
##D aa <- factor(OME$Age)
##D ab <- 10*OME$ID + unclass(aa)
##D ac <- unclass(factor(ab))
##D OME$UID <- as.vector(ac)
##D OME$UIDn <- OME$UID + 0.1*(OME$Noise=="incoherent")
##D rm(aa, ab, ac)
##D OMEi <- OME
##D parameters(OMEi) <- list(L75=45)
##D fp2 <- deriv(~ 0.5 + 0.5/(1 + exp(-(x-L75)/2)), 
##D             "L75", function(x,L75) NULL)
##D OMEi.nls <- nlsList(Correct/Trials ~ fp2(Loud, L75),
##D    data = OMEi, cluster = ~UIDn, control = list(maxiter=100))
##D tmp <- sapply(OMEi.nls, function(X) 
##D               {if(is.null(X)) NA else as.vector(X$param)})
##D OMEif <- data.frame(UID = round(as.numeric((names(tmp)))), 
##D          Noise = rep(c("coherent", "incoherent"), 110),
##D          L75 = as.vector(tmp))
##D OMEif$Age <- OME$Age[match(OMEif$UID, OME$UID)]
##D OMEif$OME <- OME$OME[match(OMEif$UID, OME$UID)]
##D 
##D # Or fit by weighted least squares
##D fpl75 <- deriv(~sqrt(n)*(r/n - 0.5 - 0.5/(1 + exp(-(x-ld75)/scal))),
##D                c("ld75", "scal"),
##D                function(r,n,x,ld75,scal)NULL)
##D nls(0 ~ fpl75(Correct, Trials, Loud, ld75, scal),
##D     data=OME[OME$Noise=="coherent",],
##D     start=c(ld75=45, scal=2))
##D nls(0 ~ fpl75(Correct, Trials, Loud, ld75, scal),
##D     data=OME[OME$Noise=="incoherent",],
##D     start=c(ld75=45, scal=2))
##D 
##D # Test to see if the curves shift with age
##D fpl75age <- deriv(~sqrt(n)*(r/n -  0.5 - 0.5/(1 +
##D                   exp(-(x-ld75-slope*age)/scal))), 
##D                   c("ld75", "slope", "scal"),
##D                   function(r,n,x,age,ld75,slope,scal )NULL)
##D library(MASS)
##D OME.nls1 <- 
##D nls(0 ~ fpl75age(Correct, Trials, Loud, Age, ld75, slope, scal),
##D     data=OME[OME$Noise=="coherent",],
##D     start=c(ld75=45, slope=0, scal=2))
##D sqrt(diag(vcov(OME.nls1)))
##D 
##D OME.nls2 <-
##D nls(0 ~ fpl75age(Correct, Trials, Loud, Age, ld75, slope, scal),
##D     data=OME[OME$Noise=="incoherent",],
##D     start=c(ld75=45, slope=0, scal=2))
##D sqrt(diag(vcov(OME.nls2)))
##D 
##D # Now allow random effects by using NLME
##D OMEf <- OME[rep(1:nrow(OME), OME$Trials),]
##D attach(OME)
##D OMEf$Resp <- rep(rep(c(1,0), length(Trials)),
##D                  t(cbind(Correct, Trials-Correct)))
##D OMEf <- OMEf[, -match(c("Correct", "Trials"), names(OMEf))]
##D detach()
##D 
##D fp2 <- deriv(~ 0.5 + 0.5/(1 + exp(-(x-L75)/exp(lsc))), 
##D              c("L75", "lsc"),
##D              function(x, L75, lsc) NULL)
##D G1.nlme <- nlme(Resp ~ fp2(Loud, L75, lsc),
##D      fixed = list(L75 ~ Age, lsc ~ .),
##D      random = list(L75 ~ ., lsc ~ .),
##D      cluster=~UID, data=OMEf[OMEf$Noise=="coherent",],
##D      start = list(fixed=c(L75=c(48, -0.03), lsc=0)), verbose=TRUE)
##D summary(G1.nlme)$fixed
##D 
##D G2.nlme <- nlme(Resp ~ fp2(Loud, L75, lsc),
##D      fixed = list(L75 ~ Age, lsc ~ .),
##D      random = list(L75 ~ ., lsc ~ .),
##D      cluster=~UID, data=OMEf[OMEf$Noise=="incoherent",],
##D      start = list(fixed=c(L75=c(41, -0.1), lsc=0)), verbose=TRUE)
##D summary(G2.nlme)$fixed

## Keywords: 'datasets'.


