###--- >>> `beaver2' <<<----- Body Temperature Series of Beaver 2

	## alias	 help(beaver2)

##___ Examples ___:

### Not usable in R
attach(beav2)
beav2$hours <- 24*(day-307) + trunc(time/100) + (time%%100)/60
plot(beav2$hours, beav2$temp, type="l", xlab="time", 
   ylab="temperature", main="Beaver 2")
usr <- par("usr"); usr[3:4] <- c(-0.2, 8); par(usr=usr)
lines(beav2$hours, beav2$activ, type="s", lty=2)

attach(beav2)
temp <- rts(temp, start=8+2/3, frequency=6, units="hours")
activ <- rts(activ, start=8+2/3, frequency=6, units="hours")
acf(temp[activ==0]); acf(temp[activ==1]) # also look at PACFs
ar(temp[activ==0]); ar(temp[activ==1])

arima.mle(temp, xreg=rep(1, length(temp)), model=list(ar=0.75))
arima.mle(temp, xreg=cbind(1, activ), model=list(ar=0.75))

beav2.lme <- lme(temp ~ activ, cluster = ~rep(1,100), 
     data=beav2,  serial.structure="ar1", est.method="ML")
summary(beav2.lme)

## Keywords: 'datasets'.


