###--- >>> `motorette' <<<----- Accelerated Life Testing of Motorettes

	## alias	 help(motorette)

##___ Examples ___:

library(survival4)
data(motors)
attach(motors)
plot(survfit(Surv(time, cens) ~ factor(temp)), conf.int=FALSE)
# fit Weibull model
motor.wei <- survreg(Surv(time, cens) ~ temp)
summary(motor.wei)
# and predict at 130C
at130 <- predict(motor.wei, data.frame(temp=130), se.fit=TRUE)
exp(at130$fit)

motor.cox <- coxph(Surv(time, cens) ~ temp)
summary(motor.cox)
# predict at temperature 200
plot( survfit(motor.cox, newdata=data.frame(temp=200)) )

## Keywords: 'datasets'.


